/*
                            Configuration List
 */

#ifndef CFGLIST_H
#define CFGLIST_H


/*
 *	Configuration item parameter names:
 */
#define CFG_PARM_VERSION_MAJOR			"VersionMajor"
#define CFG_PARM_VERSION_MINOR			"VersionMinor"
#define CFG_PARM_VERSION_RELEASE		"VersionRelease"

#define CFG_PARM_TAR_DIR			"TarDir"
#define CFG_PARM_REMOVE_CONVERTED		"RemoveConverted"
#define CFG_PARM_RECURSIVE			"Recursive"

#define CFG_PARM_WIN_X				"WinX"
#define CFG_PARM_WIN_Y				"WinY"
#define CFG_PARM_WIN_WIDTH			"WinWidth"
#define CFG_PARM_WIN_HEIGHT			"WinHeight"
#define CFG_PARM_WIN_PANED1_POSITION		"WinPaned1Position"
#define CFG_PARM_WIN_PANED2_POSITION		"WinPaned2Position"
#define CFG_PARM_WIN_PREVIEW_SRC		"WinPreviewSrc"
#define CFG_PARM_WIN_PREVIEW_SRC_SHOW_DETAILS	"WinPreviewSrcShowDetails"
#define CFG_PARM_WIN_PREVIEW_TAR		"WinPreviewTar"
#define CFG_PARM_WIN_PREVIEW_TAR_SHOW_DETAILS	"WinPreviewTarShowDetails" 


/*
 *	Configuration List:
 */
#define CFG_LIST	{					\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MAJOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MINOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_RELEASE, NULL },	\
								\
{ CFG_ITEM_TYPE_STRING, CFG_PARM_TAR_DIR, NULL },		\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_REMOVE_CONVERTED, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_RECURSIVE, NULL },		\
								\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_X, NULL },			\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_Y, NULL },			\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_WIDTH, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_HEIGHT, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_PANED1_POSITION, NULL },	\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_PANED2_POSITION, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_PREVIEW_SRC, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_PREVIEW_SRC_SHOW_DETAILS, NULL }, \
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_PREVIEW_TAR, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_PREVIEW_TAR_SHOW_DETAILS, NULL }, \
								\
/* Last item must be all 0's. */				\
{ CFG_ITEM_TYPE_NONE, NULL, NULL }				\
}


#endif	/* CFGLIST_H */
